@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Geist+Mono:wght@100..900&display=swap');

:root  > * {
  --md-accent-fg-color:        #c2185b;
  --md-accent-fg-color--light: #c2185b;
  --md-accent-fg-color--dark:  #c2185b;
}

/* Change the font for the entire body */
body {
    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-optical-sizing: auto;
}

p {
  font-size: 16px;
}

.highlight > pre > code {
    font-family: "Geist Mono", monospace;
    font-size: 12px;
    background: #eeffcc;
    border-radius: 10px;
    overflow: hidden;
}

.doc-signature.highlight > pre > code {
    font-family: "Geist Mono", monospace;
    background: #f5f5f5;
    border-radius: 10px;
    overflow: hidden;
}

/* Header */
.md-header {
    background-color: #ebeef2;
}

/* Left sidebar base styles */
.md-nav__item .md-nav__link {
    font-size: 14px !important;
    font-weight: 300 !important;
}

/* Left sidebar selected/active state */
.md-nav__item .md-nav__link--active {
    color: #c2185b !important;
}

/* Left sidebar active state (when clicked) */
.md-nav__item .md-nav__link:active {
    color: #c2185b !important;
}

/* Left sidebar passed/visited state (if applicable) */
.md-nav__item .md-nav__link--passed {
    color: #c2185b !important;
}

.md-code__nav {
    top: 0.0em !important;
}